mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

You can enable custom activation by providing a proxy class that implements ICustomFactory and attributing the class with the . When the class is activated, the proxy's method is called by the common language runtime to activate the class.

Enables users to write activation code for managed objects that extend .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MarshalByRefObject ``

  CreateInstance is called by the common language runtime when a new object of the specified type needs to be created. Override this method to provide your own custom class factory.

  Creates a new instance of the specified type.

  A associated with the specified type.

  The type to activate.